#2976 closed defect (fixed)

warnings in rtems-debugger-server.c

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: unspecified Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

This should be present on any ARM or x86 build.

cpukit/libdebugger/rtems-debugger-server.c:393:1: warning: control reaches end of non-void function [-Wreturn-type]
cpukit/libdebugger/rtems-debugger-server.c:405:1: warning: control reaches end of non-void function [-Wreturn-type]

Change History (5)

comment:1 Changed on Apr 4, 2017 at 7:58:47 PM by Joel Sherrill

Owner: changed from joel.sherrill@… to Chris Johns
Status: newassigned

comment:2 Changed on Apr 19, 2017 at 4:34:11 AM by Chris Johns <chrisj@…>

Resolution: fixed
Status: assignedclosed

In 7f95cc0/rtems:

libdebugger: Fix the mode on task create. Clean up warnings.

Closes #2976.

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.